package fr.imta.smartgrid;

import io.vertx.core.Handler;
import io.vertx.core.json.JsonObject;
import io.vertx.ext.web.RoutingContext;

public class DisplayRequestHandler implements Handler<RoutingContext> {

    @Override
    public void handle(RoutingContext event) {
        System.out.println("Route called: " + event.currentRoute().getName());
        System.out.println("Request HTTP method: " + event.request().method());
        System.out.println("We received these query parameters: " + event.queryParams());
        System.out.println("We have these path params: " + event.pathParams());
        System.out.println("We received this body: " + event.body().asString());

        // send the response with content "Hello World!"
        event.end("Hello world!");


        /*
        // you must finish processing the event by calling either :

        // to return a string directly
        event.end("something");

        // // to return JSON, it will also automatically set the 
        JsonObject result = new JsonObject();
        result.put("something", "else");
        event.json(result);

        // // to return an error (404 not found, 500 server error)
        event.fail(404); 

        // */
    }
    
}
